Automette docs

Add a webhook to a form

POST
/api/v1/forms/{id}/webhooks

Authorization

ApiKeyAuth
AuthorizationBearer <token>

API key from Settings → API Keys.

In: header

Path Parameters

id*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/api/v1/forms/string/webhooks" \  -H "Content-Type: application/json" \  -d '{    "url": "https://example.com/api/webhooks/automette-form"  }'
{  "id": "string",  "self": "http://example.com",  "url": "http://example.com",  "events": [    "string"  ],  "active": true,  "secret": "string",  "secret_hint": "string",  "failure_count": 0,  "created_at": "2019-08-24T14:15:22Z"}